# This file contains rules used by most applications
# for the targets all, clean, install and uninstall.

.PHONY : all
all : $(TARGET)

$(TARGET) : $(OBJS)
	$(LINK.o) $^ $(LOADLIBES) $(LDLIBS) -o $@

.PHONY  : clean
clean :
	rm -f $(OBJS) $(TARGET)

.PHONY : install
install : all
	$(INSTALL) -d $(bindir)
	$(INSTALL_PROGRAM) $(TARGET) $(bindir)

.PHONY : uninstall
uninstall :
	rm -f $(bindir)/$(TARGET)
