/*****************************************************************************
 *
 * dpruser.h - USER ACCESSABLE Dual Port Ram definitions file
 *
 *****************************************************************************/

/*****************************************************************************
 *
 *                         PROPRIETARY NOTICE
 *
 *  (c)Copyright 1988-2009 Dialogic Corporation.  All Rights Reserved
 *
 *  The following is licensed program material and is considered
 *  proprietary and confidential.  No part of this program may be
 *  reproduced or used in any form or by any means without the express
 *  written permission of Dialogic Corporation.
 *
 *****************************************************************************/

#ifndef _DPRUSER_H
#define _DPRUSER_H

#include "txnuser.h"                /* primitive field type definitions */
#include "dpriface.h"

/* ----- DPR Packet Header Structure   <D0> */
typedef struct __dprh
{
    U8          srcch;              /* Source channel number */
    U8          srcbd;              /* Source board number (0 = PC) */
    U8          dstch;              /* Destination channel number */
    U8          dstbd;              /* Destination board # (0 = PC) */
    U16         len;                /* Len of message body (incl hdr) */
    U8          reserved[2];        /* reserved for future use (pad to 32-bit aligned structure size) */
} DPRH;

#endif /* _DPRUSER_H */
